!+ Subroutine to read a SAMSON-file.
!
! Method:
!	This routine merely implements Mark Webb's standard
!	reading routine.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	Version		Date			Comment
!	1.0		12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77  with extensions listed in documentation.
!
!- ---------------------------------------------------------------------
      SUBROUTINE SAMSON_IN(IUNIT, title, inthead, field)
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/samson_parm.ecf'
      INCLUDE 'incl/dimensions_field.ucf'
!
!     DUMMY ARGUMENTS.
      INTEGER	!, INTENT(IN)
     &     IUNIT
!             UNIT NUMBER
      INTEGER	!, INTENT(OUT)
     &     inthead(P_headlen)
!             FILE HEADER
      CHARACTER	!, INTENT(OUT)
     &     title*(*)
!             FILE TITLE
      REAL*8	!, INTENT(OUT)
     &     field(-1: NPD_PROFILE, NPD_LAYER+1)
!             OUTPUT FIELD
!
!     LOCAL VARIABLES.
      INTEGER
     &     I
!             LOOP VARIABLE
     &   , J
!             LOOP VARIABLE
     &   , L
!             LOOP VARIABLE
!
!
      READ(IUNIT, '(A)') title
      READ(IUNIT, *) (inthead(J), J=1, P_headlen)
!
      DO I=1, inthead(2)
         READ(IUNIT, *)
     &      (field(L, I), L=-1, inthead(1))
      ENDDO
!
!
      RETURN
      END
